be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class GetMessagesListRequest

- java.lang.Object
- - be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessagesListRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:11:07+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetMessagesListRequest
      extends Object
      implements Serializable

  Java class for GetMessagesListRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetMessagesListRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" minOccurs="0"/>
               <element name="Source">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="INBOX"/>
                     <enumeration value="SENTBOX"/>
                     <enumeration value="BININBOX"/>
                     <enumeration value="BINSENTBOX"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="StartIndex" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="EndIndex" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetMessagesListRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BoxIdType` | `getBoxId()` Gets the value of the boxId property.
    `Integer` | `getEndIndex()` Gets the value of the endIndex property.
    `String` | `getSource()` Gets the value of the source property.
    `Integer` | `getStartIndex()` Gets the value of the startIndex property.
    `void` | `setBoxId(BoxIdType value)` Sets the value of the boxId property.
    `void` | `setEndIndex(Integer value)` Sets the value of the endIndex property.
    `void` | `setSource(String value)` Sets the value of the source property.
    `void` | `setStartIndex(Integer value)` Sets the value of the startIndex property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetMessagesListRequest

          public GetMessagesListRequest()

  - ### Method Detail

    - #### getBoxId

          public BoxIdType getBoxId()

      Gets the value of the boxId property.
      Returns:
        possible object is `BoxIdType`

    - #### setBoxId

          public void setBoxId(BoxIdType value)

      Sets the value of the boxId property.
      Parameters:
        `value` - allowed object is `BoxIdType`

    - #### getSource

          public String getSource()

      Gets the value of the source property.
      Returns:
        possible object is `String`

    - #### setSource

          public void setSource(String value)

      Sets the value of the source property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartIndex

          public Integer getStartIndex()

      Gets the value of the startIndex property.
      Returns:
        possible object is `Integer`

    - #### setStartIndex

          public void setStartIndex(Integer value)

      Sets the value of the startIndex property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getEndIndex

          public Integer getEndIndex()

      Gets the value of the endIndex property.
      Returns:
        possible object is `Integer`

    - #### setEndIndex

          public void setEndIndex(Integer value)

      Sets the value of the endIndex property.
      Parameters:
        `value` - allowed object is `Integer`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.